QwtPlotMarker(3)

NAME
QwtPlotMarker -

SYNOPSIS

Inherits QwtMarker, and QwtPlotMappedItem.

Detailed Description

Marker class for QwtPlot.

Definition at line 62 of file qwt_plot_classes.h.

  Public Member Functions
QwtPlotMarker (QwtPlot *parent)
double xValue () const
double yValue () const
void setXValue (double val)
void setYValue (double val)
virtual void markerChanged ()

Constructor & Destructor Documentation

  QwtPlotMarker::QwtPlotMarker (QwtPlot * parent)

Constructor.

Definition at line 66 of file qwt_plot_classes.h.

Member Function Documentation

  virtual void QwtPlotMarker::markerChanged () [virtual]

Calls itemChanged().

Reimplemented from QwtMarker.

Definition at line 85 of file qwt_plot_classes.h.

References QwtPlotItem::itemChanged().

  void QwtPlotMarker::setXValue (double val)

Set X Value.

Definition at line 79 of file qwt_plot_classes.h.

References QwtMarker::markerChanged().

Referenced by QwtPlot::setMarkerPos(), and QwtPlot::setMarkerXPos().

  void QwtPlotMarker::setYValue (double val)

Set Y Value.

Definition at line 82 of file qwt_plot_classes.h.

References QwtMarker::markerChanged().

Referenced by QwtPlot::setMarkerPos(), and QwtPlot::setMarkerYPos().

  double QwtPlotMarker::xValue () const

Return x Value.

Definition at line 73 of file qwt_plot_classes.h.

Referenced by QwtPlot::closestMarker(), QwtPlot::drawCanvasItems(), and QwtPlot::markerPos().

  double QwtPlotMarker::yValue () const

Return y Value.

Definition at line 76 of file qwt_plot_classes.h.

Referenced by QwtPlot::closestMarker(), QwtPlot::drawCanvasItems(), and QwtPlot::markerPos().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.